### Constructor

# Gtk Image new_from_paintable

#### Declaration [src]

    GtkWidget*
    gtk_image_new_from_paintable (
      GdkPaintable* paintable
    )

#### Description [src]

Creates a new `GtkImage` displaying `paintable`.

The `GtkImage` does not assume a reference to the paintable; you still need to unref it if you own references. `GtkImage` will add its own reference rather than adopting yours.

The `GtkImage` will track changes to the `paintable` and update its size and contents in response to it.

Note that paintables are still subject to the icon size that is set on the image. If you want to display a paintable at its intrinsic size, use `GtkPicture` instead.

If `paintable` is a `GtkSymbolicPaintable`, then it will be recolored with the symbolic palette from the theme.

#### Parameters

`paintable`

  Type: `GdkPaintable`

  A `GdkPaintable`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

#### Return value

Type: `GtkWidget`

A new `GtkImage`.

The data is owned by the called function.